Package htsjdk.samtools

# Class BamIndexValidator

java.lang.Object
htsjdk.samtools.BamIndexValidator

public class BamIndexValidator extends Object
Class to validate (at two different levels of thoroughness) the index for a BAM file. This class is [not] thread safe [because it is immutable].

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`BamIndexValidator.IndexValidationStringency`

## Constructor Summary

Constructors
Constructor
Description
`BamIndexValidator()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`exhaustivelyTestIndex(SamReader reader)`
`static int`
`lessExhaustivelyTestIndex(SamReader reader)`
A less time-consuming index validation that only looks at the first and last references in the index and the first and last chunks in each of those

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BamIndexValidator

public BamIndexValidator()

## Method Details

### exhaustivelyTestIndex

public static int exhaustivelyTestIndex(SamReader reader)

### lessExhaustivelyTestIndex

public static int lessExhaustivelyTestIndex(SamReader reader)
A less time-consuming index validation that only looks at the first and last references in the index and the first and last chunks in each of those

Parameters:
  `reader` -
Returns:
  # of chunks examined, or 0 if there is no browseable index for the reader